GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::overlay::snap::LineStringSnapper Class Reference

Snaps the vertices and segments of a LineString to a set of target snap vertices. More...

`#include <LineStringSnapper.h>`

## Public Member Functions
| LineStringSnapper (const geom::Coordinate::Vect &nSrcPts, double nSnapTol)
std::auto_ptr < geom::Coordinate::Vect > | snapTo (const geom::Coordinate::ConstVect &snapPts)
void | setAllowSnappingToSourceVertices (bool allow)

## Detailed Description

Snaps the vertices and segments of a LineString to a set of target snap vertices.

A snapping distance tolerance is used to control where snapping is performed.

## Constructor & Destructor Documentation

geos::operation::overlay::snap::LineStringSnapper::LineStringSnapper | ( | const geom::Coordinate::Vect & | nSrcPts,
|  | double | nSnapTol
| ) |  |
| inline

Creates a new snapper using the given points as source points to be snapped.

Parameters

  nSrcPts | the points to snap
  nSnapTolerance | the snap tolerance to use

The documentation for this class was generated from the following file:

- LineStringSnapper.h